Bug 193185 - support for Sealevel 8 port serial card
support for Sealevel 8 port serial card
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 17:38 EDT by Jon Benedict
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 21:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch supplied by Sealevel, the manufacturer of the card (1.89 KB, text/x-patch)
2006-05-25 17:38 EDT, Jon Benedict
no flags Details

  None (edit)
Description Jon Benedict 2006-05-25 17:38:08 EDT
Description of problem: 

Sealevel 8 port serial card is not currently supported in the version of the
kernel distributed by Red Hat.  According to the manufacturer, it is supported
in kernel 2.6.12


Version-Release number of selected component (if applicable): 

kernel 2.6.9-34


How reproducible:  

Install serial card with dongle/break-out cable, install OS

Steps to Reproduce:
1. Insert Hardware
2. Install RHEL 4 AS u3 x86_64

  
Actual results:

Only 1 serial port is useable 


Expected results:

All 8 ports should be useable


Additional info:

Customer (ITT Systems at Patrick Air Force Base) recompiled stock kernel with
patch, included below, and the card worked.  This was on a Dell PE 6850 w/ 4
Intel Xeons

Here is some card related output:

---

[root@dev-laps-svr2 ~]# dmesg|egrep -i "serial|sealevel"
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing enabled

[root@dev-laps-svr2 ~]# lspci|grep -i sealevel
pcilib: Resource 5 in /sys/bus/pci/devices/0000:00:1f.1/resource has a 64-bit
address, ignoring
0f:02.0 Serial controller: Sealevel Systems Inc: Unknown device 7804 (rev 01)

---

Here is the official link:
http://www.sealevel.com/
product_detail.asp?product_id=668&PCI_RS-232_RS-422_RS-485_Se rial_Interface_

Ultra COMM 8.PCI
PCI RS-232, RS-422, RS-485 Serial Interface**
ITEM# 7804
Comment 1 Jon Benedict 2006-05-25 17:38:09 EDT
Created attachment 130005 [details]
Patch supplied by Sealevel, the manufacturer of the card
Comment 2 Alan Cox 2006-05-25 17:45:47 EDT
I agree with this patch (matches upstream).
Comment 3 Linda Wang 2006-05-26 15:27:41 EDT
Do we have the hardware to test here at Westford? If not, can someone
tell us how to gain access to test?
Comment 5 Aristeu Rozanski 2006-08-22 17:25:21 EDT
any news on the acquisition of this hardware?
Comment 6 Jon Benedict 2006-12-06 15:55:13 EST
The customer had actually added this patch to the kernel while I was there in
May.  The card was recognized and all 8 ports were working.
Comment 7 RHEL Product and Program Management 2006-12-06 17:44:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Jason Baron 2006-12-11 17:09:23 EST
committed in stream U5 build 42.30. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 11 Jay Turner 2006-12-18 09:30:17 EST
QE ack for RHEL4.5.
Comment 14 Red Hat Bugzilla 2007-05-07 21:42:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.